package ru.redrise.example.demo.forms;

import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;

public class InnForm {

    private String name;
    
    // так-то ИНН могут быть длинной в 12 символов, а там ещё и валидации есть по контрольным суммам
    @Min(value = 1000000000L, message="Invalid inn (min value)")
    @Max(value = 9999999999L, message="Invalid inn (max value)")
    private long inn;

    public InnForm(String name, long inn){
        this.name = name;
        this.inn = inn;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getInn() {
        return inn;
    }

    public void setInn(int inn) {
        this.inn = inn;
    }
}
